function getTypeControlOptions()
	return {
		ANIMALTRANSPORT        = { name = "Animal Transport",       stateIsEnabled = true},
		ANIMALS                = { name = "Animal Tools",           stateIsEnabled = true},
		ANIMALSVEHICLES        = { name = "Animal Vehicles",        stateIsEnabled = true},
		AUGERWAGONS            = { name = "Auger Wagons",           stateIsEnabled = true},
		BALELOADERS            = { name = "Bale Loaders",           stateIsEnabled = true},
		BALEWRAPPERS           = { name = "Bale Wrappers",          stateIsEnabled = true},
		BALERS                 = { name = "Balers",                 stateIsEnabled = true},
		BEETHARVESTING         = { name = "Beet Tools",             stateIsEnabled = true},
		BEETVEHICLES           = { name = "Beet Vehicles",          stateIsEnabled = true},
		BELTS                  = { name = "Belts",                  stateIsEnabled = true},
		CARS                   = { name = "Cars",                   stateIsEnabled = true},
		CORNHEADERS            = { name = "Corn Headers",           stateIsEnabled = true},
		COTTONHARVESTING       = { name = "Cotton Tools",           stateIsEnabled = true},
		COTTONVEHICLES         = { name = "Cotten Vehicles",        stateIsEnabled = true},
		CULTIVATORS            = { name = "Cultivators",            stateIsEnabled = true},
		CUTTERTRAILERS         = { name = "Cutter Trailers",        stateIsEnabled = true},
		CUTTERS                = { name = "Cutters",                stateIsEnabled = true},
		DISCHARROWS            = { name = "Disc Harrows",           stateIsEnabled = true},
		DOLLYS                 = { name = "Dollys",                 stateIsEnabled = true},
		FERTILIZERSPREADERS    = { name = "Fertilizer Spreaders",   stateIsEnabled = true},
		FORAGEHARVESTERCUTTERS = { name = "Forage Harvest Cutters", stateIsEnabled = true},
		FORAGEHARVESTERS       = { name = "Forage Harvesters",      stateIsEnabled = true},
		FORKLIFTS              = { name = "Forklifts",              stateIsEnabled = true},
		FRONTLOADERTOOLS       = { name = "Frontloader Tools",      stateIsEnabled = true},
		FRONTLOADERVEHICLES    = { name = "Frontloader Vehicles",   stateIsEnabled = true},
		FRONTLOADERS           = { name = "Frontloaders",           stateIsEnabled = true},
		GRAPETOOLS             = { name = "Grape Tools",            stateIsEnabled = true},
		GRAPEVEHICLES          = { name = "Grape Vehicles",         stateIsEnabled = true},
		GRASSLANDCARE          = { name = "Grassland Care",         stateIsEnabled = true},
		HARVESTERS             = { name = "Harvesters",             stateIsEnabled = true},
		LEVELER                = { name = "Levelers",               stateIsEnabled = true},
		LOADERWAGONS           = { name = "Loader Wagons",          stateIsEnabled = true},
		LOWLOADERS             = { name = "Low Loaders",            stateIsEnabled = true},
		MANURESPREADERS        = { name = "Manure Spreaders",       stateIsEnabled = true},
		MISC                   = { name = "Michellaneous Tools",    stateIsEnabled = true},
		MISCVEHICLES           = { name = "Michellaneous Vehicles", stateIsEnabled = true},
		MOWERVEHICLES          = { name = "Mower Vehicles",         stateIsEnabled = true},
		MOWERS                 = { name = "Mowers",                 stateIsEnabled = true},
		MULCHERS               = { name = "Mulchers",               stateIsEnabled = true},
		OLIVEVEHICLES          = { name = "Olive Vehicles",         stateIsEnabled = true},
		PLANTERS               = { name = "Planters",               stateIsEnabled = true},
		PLOWS                  = { name = "Plows",                  stateIsEnabled = true},
		POTATOHARVESTING       = { name = "Potato Tools",           stateIsEnabled = true},
		POTATOVEHICLES         = { name = "Potato Vehicles",        stateIsEnabled = true},
		POWERHARROWS           = { name = "Power Harrows",          stateIsEnabled = true},
		ROLLERS                = { name = "Rollers",                stateIsEnabled = true},
		SEEDERS                = { name = "Seeders",                stateIsEnabled = true},
		SILOCOMPACTION         = { name = "Silo Compactors",        stateIsEnabled = true},
		SKIDSTEERTOOLS         = { name = "Skid Steer Tools",       stateIsEnabled = true},
		SKIDSTEERVEHICLES      = { name = "Skid Steer Vehicles",    stateIsEnabled = true},
		SLURRYTANKS            = { name = "Slurry Tanks",           stateIsEnabled = true},
		SLURRYVEHICLES         = { name = "Slurry Vehicles",        stateIsEnabled = true},
		SPADERS                = { name = "Spaders",                stateIsEnabled = true},
		SPRAYERVEHICLES        = { name = "Sprayer Vehicles",       stateIsEnabled = true},
		SPRAYERS               = { name = "Sprayer Tools",          stateIsEnabled = true},
		STONEPICKERS           = { name = "Stone Pickers",          stateIsEnabled = true},
		SUBSOILERS             = { name = "Subsoilers",             stateIsEnabled = true},
		SUGARCANEHARVESTING    = { name = "Sugarcane Tools",        stateIsEnabled = true},
		SUGARCANEVEHICLES      = { name = "Sugarcane Vehicles",     stateIsEnabled = true},
		TEDDERS                = { name = "Tedders",                stateIsEnabled = true},
		TELELOADERTOOLS        = { name = "Teleloader Tools",       stateIsEnabled = true},
		TELELOADERVEHICLES     = { name = "Teleloader Vehicles",    stateIsEnabled = true},
		TRACTORSL              = { name = "Tractors, Large",        stateIsEnabled = true},
		TRACTORSM              = { name = "Tractors, Medium",       stateIsEnabled = true},
		TRACTORSS              = { name = "Tractors, Small",        stateIsEnabled = true},
		TRAILERS               = { name = "Trailers",               stateIsEnabled = true},
		TRUCKS                 = { name = "Trucks",                 stateIsEnabled = true},
		WEEDERS                = { name = "Weeders",                stateIsEnabled = true},
		WEIGHTS                = { name = "Weights",                stateIsEnabled = true},
		WHEELLOADERTOOLS       = { name = "Wheel Loader Tools",     stateIsEnabled = true},
		WHEELLOADERVEHICLES    = { name = "Wheel Loader Vehicles",  stateIsEnabled = true},
		WINDROWERS             = { name = "Windrowers",             stateIsEnabled = true},
		WINTEREQUIPMENT        = { name = "Winter Equipment",       stateIsEnabled = true},
		WOOD                   = { name = "Wood Tools",             stateIsEnabled = true},
		WOODHARVESTING         = { name = "Wood Vehicles",          stateIsEnabled = true},
	}
end

-- Returns the table sorted by keys - Used to iterate on the TypeControlOptions in a sorted manner
function pairsByKeys(t, f)
	local a = {}
	for n in pairs(t) do table.insert(a, n) end
	table.sort(a, f)
	local i = 0      -- iterator variable
	local iter = function ()   -- iterator function
		i = i + 1
		if a[i] == nil then
			return nil
		else
			return a[i], t[a[i]]
		end
	end

	return iter
end
