-- This file contains adapted parts of FS22_SlipDestroysFields by frvetz and is licensed under
-- GNU GENERAL PUBLIC LICENSE Version 3, 29 June 2007.

source(g_currentModDirectory .. "TypeControlOptions.lua")

LoadSettingsForClientEvent = {}
local LoadSettingsForClientEvent_mt = Class(LoadSettingsForClientEvent, Event)
InitEventClass(LoadSettingsForClientEvent, "LoadSettingsForClientEvent")

function LoadSettingsForClientEvent.emptyNew()
	local event = Event.new(LoadSettingsForClientEvent_mt)

	event.typeControlOptions = getTypeControlOptions()

	return event
end

function LoadSettingsForClientEvent.new(baseYear, baseYearState, minimumOneAvailable,
										typeControlOptions)
    local event = LoadSettingsForClientEvent.emptyNew()

	event.baseYear = baseYear
	event.baseYearState = baseYearState
	event.minimumOneAvailable = minimumOneAvailable
	event.typeControlOptions = typeControlOptions

	return event
end

function LoadSettingsForClientEvent:readStream(streamId, connection)
    self.baseYear = streamReadInt32(streamId)
    self.baseYearState = streamReadInt32(streamId)
    self.minimumOneAvailable = streamReadBool(streamId)

	for category, value in pairsByKeys(self.typeControlOptions) do
		self.typeControlOptions[category].stateIsEnabled = streamReadBool(streamId)
	end

	self:run(connection)
end

function LoadSettingsForClientEvent:writeStream(streamId, connection)
	streamWriteInt32(streamId, self.baseYear)
	streamWriteInt32(streamId, self.baseYearState)
	streamWriteBool(streamId, self.minimumOneAvailable)

	for category, value in pairsByKeys(self.typeControlOptions) do
		streamWriteBool(streamId, self.typeControlOptions[category].stateIsEnabled)
	end
end

function LoadSettingsForClientEvent:run(connection)
	ThroughTheYears.SettingsChangedClient(self.baseYear, self.baseYearState,
										  self.minimumOneAvailable, self.typeControlOptions)
	if g_server ~= nil then
		g_server:broadcastEvent(LoadSettingsForClientEvent.new(self.baseYear, self.baseYearState,
															   self.minimumOneAvailable,
															   self.typeControlOptions))
	end
end
